# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:	Red Flag Help
Name:		rfhelp
Version:	1.1
Release:	2%{?dist}
Group:		Applications/System
Source:		%{name}-%{version}.tar.gz
Patch1:         rfhelp-1.1-vi_VN.patch
BuildRoot:	/var/tmp/rfhelp-build
License:	GPL

%description
Red Flag Help Viewer


%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--bindir=/usr/bin \
	--libdir=/usr/lib/rfmin/lib \
	--includedir=/usr/lib/rfmin/include/rfhelp \
	--datadir=/usr/share/rfhelp \
	--disable-debug \
	$LOCALFLAGS
%patch1 -p1

%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

mkdir -p  $RPM_BUILD_ROOT/usr/share/rfhelp
cp -af    rfhelp/rfhelp_zh_TW.qm  $RPM_BUILD_ROOT/usr/share/rfhelp
cp -af    rfhelp/rfhelp_ko.qm  $RPM_BUILD_ROOT/usr/share/rfhelp
cp -af    rfhelp/rfhelp_vi_VN.qm  $RPM_BUILD_ROOT/usr/share/rfhelp

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.rfhelp
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.rfhelp
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.rfhelp

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/rfhelp
rm -rf ../file.list.rfhelp


%files -f ../file.list.rfhelp
/usr/share/rfhelp/rfhelp_zh_TW.qm
/usr/share/rfhelp/rfhelp_ko.qm
/usr/share/rfhelp/rfhelp_vi_VN.qm

%changelog
* Mon Mar 08 2010 Tuananh Pham <anh.pt@asianux.com> 1.1-2%{?dist}
- add rfhelp-1.1-vi_VN.patch for some vietnamese translation (Patch#1, AXBug#8206)

* Wed Apr 2 2008 He Tao <taohe@redflag-linux.com> 1.1-1%{?dist}
- upgrade version 1.1-1

* Mon Feb 25 2008 He Tao <taohe@redflag-linux.com> 1.0-9AX
- fix bug AX bug 3894, search from right documnet file , not the index keyword path.

* Wed Sep 19 2007 Wang Diancheng <dcwang@redflag-linux.com> 1.0-8AX
 - fix bug: if html doc not same with locale cannot find any CJK
   strings and document title is malformed characters. (axbz #3507)

* Wed Aug 15 2007 Wang Diancheng <dcwang@redflag-linux.com> 1.0-7AX
- fix bug: The icons at toolbar always have yellow background 
  color(not transparent) on PPC platform(bug #3489)
- fix bug: In the "Search", if you clicked the "Found Documents" list which is empty, 
  the tool would be suspended for several seconds and displayed 
	the error "server not found".(bug #3491)

* Thu Jul 12 2007 Wang Diancheng <dcwang@redflag-linux.com> 1.0-6AX
- add Japanese and Korean searchhlp and notfound html pages, update Japanese
- po translation, thanks to Ryoji Kamei and Eddie Kim.
- add Chinese traditional searchhelp and notfound html pages.

* Fri Jun 22 2007 Wang Diancheng <dcwang@redflag-linux.com> 1.0-5AX
- fix a bug, there is only Chinese search help document and not found 
- document, add English version for them.

* Fri May 12 2006 Hua Jie <jiehua@redflag-linux.com> 1.0-4AX
- change License to GPL

* Thu Sep 29 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-3
- modify some Korean strings
